package _VisualDVM.Passes.All;
import _VisualDVM.Global;
import _VisualDVM.Passes.PassCode;
import _VisualDVM.Passes.Sapfor.VariantsMassPass;
import _VisualDVM.ProjectData.Project.db_project_info;
public class CreateParallelVariants extends VariantsMassPass {
    @Override
    public String getIconPath() {
        return "/icons/Create.png";
    }
    @Override
    public String getButtonText() {
        return "";
    }
    @Override
    public PassCode getSubPassCode() {
        return PassCode.SPF_CreateParallelVariant;
    }
    @Override
    protected void FocusResult() {
        Global.mainModule.getUI().getMainWindow().getProjectWindow().FocusVersions();
    }
    @Override
    protected void performPreparation() throws Exception {
        db_project_info.ResetNewVersions();
        super.performPreparation();
    }
}
